# EasyQuant框架介绍

`Gary-Hertel`

------

一、开箱即用，快速部署。`EasyQuant`是一个开箱即用的数字货币量化交易框架。对于开发人员，不用再去关注各个交易所定义的不同接口与复杂的接口文档说明，只需专注核心业务组件开发。对于策略人员，不用从零开始构建量化交易系统所需的一切，只需关注自身策略开发。

二、隐私无忧。用户可以非常方便地部署属于自己的量化交易平台，账户API信息与策略都是保存在用户自己的本地电脑或者服务器上，无需担忧隐私安全。

三、源代码完全透明。在金融的世界里，数据对于任何用户来说都至关重要。我们只提供SDK，而不是SaaS平台，我们无权访问任何客户的任何数据，我们也不会收集客户的任何数据。`EasyQuant`框架的源代码完全透明。

四、众所周知，每个交易所的接口设计是不同的，使用`EasyQuant`可以让你体验各大交易所现货与期货合约一致的接口与数据。

五、我们支持多个现货和期货交易所，只要你在上面开户并开通了API，你都可以通过`EasyQuant`来进行多交易所、多账户交易。

------

## 概述

### EasyQuant是什么？

目前市场上有很多数字货币的交易所，用户都会在多个交易所开户并进行交易，因此这些用户需要自行管理多家交易所的账号，并且组织或雇佣开发人员编写不同的程序去封装不同交易所的`API`。

而目前数字货币市场上的`API`接口设计繁杂，更没有一个统一的标准和约定，导致一个交易所接口封装的代码不能无缝对接到另一个交易所。这对用户来讲是非常不友好的，用户大部分的精力都分散到了与量化策略无关的地方。

所以我们建议专业的事交给专业的人来做，将您解放出来，我们为您提供各个交易所接口统一封装`SDK`，您要做的只是调用我们的`SDK`，将您的主要精力集中在您的策略上，从市场上愉快得获取收益。

`EasyQuant`简化您与交易所之间的连接，您只需要通过`EasyQuant`就可以链接整个数字货币世界。

### EasyQuant不仅仅是SDK，更是一套量化框架

当您准备开始构建自己的量化交易系统时，您需要考虑几个方面：

1. 如何快速与交易所通信？
2. 如何快速获取数据并处理数据？
3. 如何存储数据？
4. 下单未成交一直挂着怎么处理？
5. 怎样用最少的代码写出自己的策略？
6. 怎样管理我正在运行的策略？
7. 遇到异常情况要怎样通知我？ ......

一想到以上这些点，您都会觉得头大，因为您只是想搞搞量化交易，但事情的复杂度完全超出您的预估。

`EasyQuant`的出现就是为了解决您的以上苦恼，让你可以将主要精力集中在策略研发上，畅游数字货币世界。

------

`2021/01/15`